Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.locale
Class LocaleFallbackHandler

    java.lang.Object
      oracle.ifs.utils.locale.LocaleFallbackHandler

    public class LocaleFallbackHandler

extends java.lang.Object

Locale fallback handler determines the best fit locale by matching the given preferred locale against available locales on the system.

Field Summary
`static LocaleFallbackHandler` | `s_Instance` An instance of LocaleFallbackHandler

Method Summary
`static LocaleFallbackHandler` | `getInstance(java.util.Collection availableLocales)` Get the locale fallback handler.
`java.util.Locale` | `getLocale(java.lang.String localeId)` Given a locale identifier, return the best fit locale See also: Language-Tag in RFC 3066

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_Instance

    public static LocaleFallbackHandler s_Instance

  Description copied from class: `LocaleFallbackHandler`
  An instance of LocaleFallbackHandler

Method Detail

### getInstance

    public static LocaleFallbackHandler getInstance(java.util.Collection availableLocales)

  Description copied from class: `LocaleFallbackHandler`
  Get the locale fallback handler.

  The available locales are set once and for all on the first call. The argument is ignored on subsequent calls.

  Parameters:
    `availableLocales` - a collection of Locale objects
  Returns:
    the locale fallback handler

### getLocale

    public java.util.Locale getLocale(java.lang.String localeId)

  Description copied from class: `LocaleFallbackHandler`
  Given a locale identifier, return the best fit locale See also: Language-Tag in RFC 3066

  Parameters:
    `localeId` - a locale ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD